<template>
	<view class="medal">
		<scroll-view scroll-y class="medal-article">
			<view class="medal-title">
				<image src="../static/mine/29.png"></image>
				<view>{{ title }}</view>
				<image src="../static/mine/30.png"></image>
			</view>
			<view class="medal-content">
				<rich-text :nodes="nodes"></rich-text>
			</view>
		</scroll-view>
	</view>
</template>
<script>
import common from '@/static/js/common.js';
export default {
	data() {
		return {
			nodes: '',
			title: '',
		}
	}, 
	created() {
		this.getMemberPointsStat();
	},
	methods: {
		getMemberPointsStat() {
			this.$u.api.getMemberPointsStat().then((res)=>{
				if (res.errCode == 0) {
					this.title = res.data.grade_rule.document_title;
					const nodes = res.data.grade_rule.document_content;
					this.nodes = common.unescapeHTML(nodes);
				}
			})
		},
	}
};
</script>
<style lang="scss" scoped>
.medal {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100vh;
	background: linear-gradient(0deg,rgba(246,211,119,1) 1%,rgba(240,154,105,1) 100%);
	.medal-article {
		box-sizing: border-box;
		width: 690rpx;
		height: 885rpx;
		background: rgba(255,255,255,1);
		border-radius: 20rpx;
		padding: 40rpx 30rpx;
		margin: calc(56rpx + var(--window-top)) auto 0;
		.medal-title {
			display: flex;
			align-items: center;
			justify-content: center;
			margin-bottom: 52rpx;
			> image {
				width: 22rpx;
				height: 22rpx;
			}
			> view {
				font-size: 32rpx;
				color: rgba(51,51,51,1);
				margin: 0 30rpx;
			}
		}
		.medal-content {
		}
	}
}
</style>